package com.cm.common.pojo.dtos.bigdatatemplate;

import com.cm.common.pojo.dtos.bigdatatemplatearea.BigdataTemplateAreaDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @ClassName: BigdataTemplateDTO
 * @Description: 大数据展示的模板管理
 * @Author: WenG
 * @Date: 2020-10-20 10:49
 * @Version: 1.0
 **/
@ApiModel
public class BigdataTemplateFileDTO {

    @ApiModelProperty(name = "bigdataTemplateFile", value = "文件ID")
    private String bigdataTemplateFile;
    @ApiModelProperty(name = "bigdataTemplateFilePath", value = "文件路径")
    private String bigdataTemplateFilePath;
    @ApiModelProperty(name = "bigdataTemplateFileType", value = "文件类型")
    private String bigdataTemplateFileType;

    public String getBigdataTemplateFile() {
        return bigdataTemplateFile == null ? "" : bigdataTemplateFile;
    }

    public void setBigdataTemplateFile(String bigdataTemplateFile) {
        this.bigdataTemplateFile = bigdataTemplateFile;
    }

    public String getBigdataTemplateFilePath() {
        return bigdataTemplateFilePath == null ? "" : bigdataTemplateFilePath;
    }

    public void setBigdataTemplateFilePath(String bigdataTemplateFilePath) {
        this.bigdataTemplateFilePath = bigdataTemplateFilePath;
    }

    public String getBigdataTemplateFileType() {
        return bigdataTemplateFileType == null ? "" : bigdataTemplateFileType;
    }

    public void setBigdataTemplateFileType(String bigdataTemplateFileType) {
        this.bigdataTemplateFileType = bigdataTemplateFileType;
    }
}
